from setuptools import setup, find_packages
import os

NAME = 'bise.datatiles'
PATH = NAME.split('.') + ['version.txt']
VERSION = open(os.path.join(*PATH)).read().strip()


setup(name=NAME,
      version=VERSION,
      description="Tiles for collective.cover",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from
      # http://pypi.python.org/pypi?:action=list_classifiers
      classifiers=[
        "Framework :: Plone",
        "Programming Language :: Python",
        ],
      keywords='',
      author='Tiberiu Ichim',
      author_email='tiberiu.ichim@eaudeweb.ro',
      url='http://github.com/eea/bise.datatiles',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['bise'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'plone.app.dexterity [relations]',
          # -*- Extra requirements: -*-
          'plone.directives.form',
          'plone.directives.dexterity',
          'plone.app.tiles',
          'collective.cover',
      ],
      entry_points="""
      # -*- Entry points: -*-

      [z3c.autoinclude.plugin]
      target = plone
      """,
      setup_requires=["PasteScript"],
      paster_plugins=["ZopeSkel"],
      )
